.curriculum-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    gap: 30px;
}

.curriculum{
    width: 100%;
    background-color: var(--bg-secondary);
    padding: 35px 25px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    display: flex;
    flex-direction: column;
    gap: 20px;
    transition: box-shadow 0.3s ease, transform 0.2s ease;
}

.curriculum:hover{
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.4);
    transform: translateY(-5px);
}

.curriculum h3{
    position: relative;
    font-size: 1.5rem;
}

.curriculum h3::after{
    position: absolute;
    content: "";
    left: 0;
    bottom: -5px;
    width: 100%;
    height: 2px;
    background-color: var(--secondary-color);
}

.curriculum ul{
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.curriculum ul li span{
    color: var(--primary-color);
    font-weight: 700;
}

.curriculum p{
    border-top: 1px dashed rgba(0, 0, 0, 0.50);
    padding-top: 20px;
    font-style: italic;
}